unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, ExtCtrls, CheckLst, StdCtrls, ComCtrls, Spin;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    edName: TEdit;
    edClass: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Memo1: TMemo;
    Button1: TButton;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    ListBox1: TListBox;
    ComboBox1: TComboBox;
    CheckListBox1: TCheckListBox;
    BitBtn1: TBitBtn;
    Timer1: TTimer;
    TreeView1: TTreeView;
    edWidth: TSpinEdit;
    edHeight: TSpinEdit;
    procedure UpdateInfo(Sender : TObject);
    procedure edNameKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    WinCon : TWinControl;
    LWND : HWND;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.UpdateInfo(Sender: TObject);
var
  Pt : TPoint;
  WND : HWND;
begin
  GetCursorPos(Pt);
  WND := Handle;
  repeat
    WinCon := FindControl(WND);
    WND := ChildWindowFromPoint(WinCon.Handle,WinCon.ScreenToClient(Pt));
    if WND = 0 then exit;
  until (WND = WinCon.Handle) or (WinCon.ControlCount <= 0);
  if LWND = WND then exit;
  edName.Text := WinCon.Name;
  edClass.Text := WinCon.ClassName;
  edWidth.Value := WinCon.Width;
  edheight.Value :=  WinCon.Height;
  LWND := WND;
end;

procedure TForm1.edNameKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  try
    WinCon.Name := edName.Text;
    WinCon.Width := edWidth.Value;
    WinCon.Height := edHeight.Value;
  except
  end;
end;

end.
